<div class="card mb-5 mb-xl-8">
  <div class="card-header border-0">
    <div class="card-toolbar">
      <div class="me-3">
        <input type="text" class="form-control input-search" id="search" placeholder="Cari..." [(ngModel)]="filter.search"
        (ngModelChange)="onFilterChanged()">
      </div>
      <div ngbDropdown>
        <button title="filter" type="button" class="btn btn-sm btn-icon btn-bg-light btn-active-color-primary remove-chevron" id="filter" ngbDropdownToggle>
          Filter
        </button>
        <div ngbDropdownMenu aria-labelledby="filter" class="p-2" >
          <label class="form-label fw-bold">Status:</label>
            <div>
              <select
                class="form-select form-select-solid"
                data-kt-select2="true"
                data-placeholder="Select option"
                data-allow-clear="true"
                [(ngModel)]="filter.searchStatus"
                (ngModelChange)="onFilterChanged()"
              >
                <option *ngFor="let status of listStatusType; let i = index" [selected]="i === 0" [value]="status.value">{{ status.label }}</option>
              </select>
            </div>
        </div>
      </div>
    </div>
    <div class="card-toolbar">
      <button class="btn btn-sm btn-primary" [routerLink]="['/employes/new']">
        <span class="svg-icon svg-icon-3"></span>
        Baru
      </button>

    </div>
  </div>
</div>

<div class="card-body py-3">
  <div class="table-responsive">
    <table
      aria-label="table"
      class="table table-row-bordered table-row-gray-100 align-middle gs-0 gy-3"
    >
      <thead>
        <tr class="fw-bolder text-muted">
          <th>No.</th>
          <th class="min-w-140px">Username</th>
          <th class="min-w-120px">First Name</th>
          <th class="min-w-120px">Last Name</th>
          <th class="min-w-120px">Email</th>
          <th class="min-w-120px">Birthdate</th>
          <th class="min-w-120px">Basic Salary</th>
          <th class="text-center">Status</th>
          <th class="min-w-120px">Group</th>
          <th class="min-w-120px">Description</th>
          <th class="text-end">Actions</th>
        </tr>
      </thead>
      <tbody>
        <ng-container *ngFor="let datas of (listDatas$ | async) ?? []">
          <tr *ngFor="let item of datas.data ?? []; index as i">
            <td>{{ i+1}} </td>
            <td>{{ item.username }}</td>
            <td>{{ item.firstname }}</td>
            <td>{{ item.lastname }}</td>
            <td>{{ item.email }}</td>
            <td>{{ item.birthdate | date:'dd-MM-yyyy' }}</td>
            <td>{{ item.basic_salary | currency: 'Rp. ' }}</td>
            <td class="text-center">
              <span class="badge {{ item.status === '1' ? 'badge-primary' : 'badge-secondary'  }}">{{ item.status === '1' ? 'Active' : 'Non-Active' }}</span>
            </td>
            <td>{{ item.group }}</td>
            <td>{{ item.description }}</td>
            <td ngbDropdown container="body" class="text-end">
              <button title="action" type="button" class="btn btn-sm btn-icon btn-bg-light btn-active-color-primary remove-chevron" id="action" ngbDropdownToggle>
              </button>
              <div ngbDropdownMenu aria-labelledby="action">
                <button [routerLink]="['/employes', item.id, 'view']"  ngbDropdownItem>View</button>
                <button [routerLink]="['/employes', item.id, 'edit']"  ngbDropdownItem>Edit</button>
                <button (click)="delete(item)" ngbDropdownItem>Delete</button>
              </div>
            </td>
          </tr>
        </ng-container>
      </tbody>
    </table>
  </div>
  <div class="d-flex justify-content-between align-items-center p-2">
    <div class="d-inline">
      <select aria-label="show per page" class="form-select form-select-sm" [(ngModel)]="itemsPerPage" (ngModelChange)="loadPage(1)">
        <option [ngValue]="10">10</option>
        <option [ngValue]="20">20</option>
        <option [ngValue]="50">50</option>
        <option [ngValue]="75">75</option>
        <option [ngValue]="100">100</option>
      </select>
    </div>
    <div>
        <ngb-pagination
          [collectionSize]="totalItems"
          [(page)]="ngbPaginationPage"
          [pageSize]="itemsPerPage"
          [maxSize]="3"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="loadPage($event)"
          size="sm"
        ></ngb-pagination>
    </div>
  </div>
</div>
